package org.example.petshopdesktop.DTOs;

import javafx.beans.property.SimpleDoubleProperty;
import javafx.beans.property.SimpleIntegerProperty;
import javafx.beans.property.SimpleStringProperty;

public class ProductSupplierDTO {
    private SimpleIntegerProperty supId;
    private SimpleIntegerProperty prodId;
    private SimpleStringProperty supCompany;
    private SimpleStringProperty prodName;
    private SimpleDoubleProperty cost;

    //constructor
    public ProductSupplierDTO(int supId, int prodId, String supCompany, String prodName, double cost) {
        this.supId = new SimpleIntegerProperty(supId);
        this.prodId = new SimpleIntegerProperty(prodId);
        this.supCompany = new SimpleStringProperty(supCompany);
        this.prodName = new SimpleStringProperty(prodName);
        this.cost = new SimpleDoubleProperty(cost);
    }

    //getter and setters
    public int getSupId() {
        return supId.get();
    }

    public SimpleIntegerProperty supIdProperty() {
        return supId;
    }

    public void setSupId(int supId) {
        this.supId.set(supId);
    }

    public int getProdId() {
        return prodId.get();
    }

    public SimpleIntegerProperty prodIdProperty() {
        return prodId;
    }

    public void setProdId(int prodId) {
        this.prodId.set(prodId);
    }

    public String getSupCompany() {
        return supCompany.get();
    }

    public SimpleStringProperty supCompanyProperty() {
        return supCompany;
    }

    public void setSupCompany(String supCompany) {
        this.supCompany.set(supCompany);
    }

    public String getProdName() {
        return prodName.get();
    }

    public SimpleStringProperty prodNameProperty() {
        return prodName;
    }

    public void setProdName(String prodName) {
        this.prodName.set(prodName);
    }

    public double getCost() {
        return cost.get();
    }

    public SimpleDoubleProperty costProperty() {
        return cost;
    }

    public void setCost(double cost) {
        this.cost.set(cost);
    }
}
